Subject: RE: HUGE filesystem PROBLEM (too big to be true)
From: [email-masked] (Jason Zions)

13 Feb 1998 01:17:31 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: Nicola Bernardini <[email-masked]>, [email-masked]

The reskit TAR command runs under Microsoft's limited POSIX subsystem.
The restriction on files named COMn, LPTn, AUX, and CON are imposed by
Win32, not by the underlying filesystems. Because Win32 imposes the
restriction, it's next to impossible to evade it for Win32 apps (in
which category cygwin-based apps live). Basically, Win32 treats usage of
these names as references to the DOS-world devices with those names.

The easiest way to remove the file is to use a POSIX-subsystem rm or
unlink command. I thought the reskit included rm.

An alternative is to get the 30-day demo of OpenNT, install it, remove
the file, then uninstall OpenNT. (Of course, I'd rather you played with
it a bit and considered buying it, but that's another story.)

Jason Zions
Softway Systems Inc.
Makers of OpenNT: POSIX, Unix, and more for Windows NT

> -----Original Message-----
> From:	Nicola Bernardini [SMTP:[email-masked]]
> 
> I am working on (fairly happily, I must say) with the cygwin project,
> rm -rfv locks up and cannot be killed in anyway. I go into that
> directory
> and check: it contains a file called 'con.c'. It was put there via
> untarring a unix distribution. Now, looking at con.c with ls -l
> gives 
> 
> crw-r--r--   0 0        Everyone   0,   0 Jan  1  1970 con.c
> 
> which is to say that it sees it as a character device, the console!
> 
> I spare you the details: I tried to remove and/or rename the file,
> the directory that contains it, the tree, etc. with rm -rf, with
> del on a dos console, with mv, with the explorer. There is absolutely
> nothing to do: it won't go away. I checked and there is no way
> to create a file named con.c by redirection, vi, or whatever.
> But if the file is create untarring an archive, then it'll exist
> and it'll never ever go away... (In other words, it's something really
> easy to reproduce, if someone has the guts to do it)
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".